# Draw
TKDraw
Draw

# Draw_Window Class Reference

`#include <Draw_Window.hxx>`

## Public Member Functions

| Draw_Window ()
| Draw_Window (const char *title, Standard_Integer X, Standard_Integer Y=0, Standard_Integer DX=50, Standard_Integer DY=50)
| Draw_Window (Window mother)
| Draw_Window (Window mother, char *title, Standard_Integer X=0, Standard_Integer Y=0, Standard_Integer DX=50, Standard_Integer DY=50)
| Draw_Window (const char *window)
void | Init (Standard_Integer X=0, Standard_Integer Y=0, Standard_Integer DX=50, Standard_Integer DY=50)
void | Init (Window mother, Standard_Integer X=0, Standard_Integer Y=0, Standard_Integer DX=50, Standard_Integer DY=50)
void | StopWinManager ()
void | SetPosition (Standard_Integer NewXpos, Standard_Integer NewYpos)
void | SetDimension (Standard_Integer NewDx, Standard_Integer NewDy)
void | GetPosition (Standard_Integer &PosX, Standard_Integer &PosY)
Standard_Integer | HeightWin () const
Standard_Integer | WidthWin () const
void | SetTitle (const char *title)
char * | GetTitle ()
void | DisplayWindow ()
void | Hide ()
void | Destroy ()
void | Clear ()
void | Wait (Standard_Boolean wait=Standard_True)
void | SetColor (int)
void | SetMode (int)
void | DrawString (int, int, char *)
void | DrawSegments (Segment *, int)
Standard_Boolean | Save (const char *filename, const Standard_Boolean compress=Standard_False) const
virtual | ~Draw_Window ()
virtual void | WExpose ()
virtual void | WButtonPress (const Standard_Integer X, const Standard_Integer Y, const Standard_Integer &button)
virtual void | WButtonRelease (const Standard_Integer X, const Standard_Integer Y, const Standard_Integer &button)
virtual void | WMotionNotify (const Standard_Integer X, const Standard_Integer Y)
virtual void | WConfigureNotify (const Standard_Integer X, const Standard_Integer Y, const Standard_Integer dx, const Standard_Integer dy)
virtual void | WUnmapNotify ()

## Static Public Member Functions

static Standard_Boolean | DefineColor (const Standard_Integer, const char *)
static void | Flush ()

## Data Fields

Base_Window & | base
Window | win
Window | myMother
Draw_Window * | next
Draw_Window * | previous
Standard_Boolean | withWindowManager

## Static Public Attributes

static Draw_Window * | firstWindow

## Constructor & Destructor Documentation

Draw_Window::Draw_Window | ( |  | ) |

Draw_Window::Draw_Window | ( | const char * | title,
|  | Standard_Integer | X,
|  | Standard_Integer | Y = `0`,
|  | Standard_Integer | DX = `50`,
|  | Standard_Integer | DY = `50`
| ) |

Draw_Window::Draw_Window | ( | Window | mother | ) |

Draw_Window::Draw_Window | ( | Window | mother,
|  | char * | title,
|  | Standard_Integer | X = `0`,
|  | Standard_Integer | Y = `0`,
|  | Standard_Integer | DX = `50`,
|  | Standard_Integer | DY = `50`
| ) |

Draw_Window::Draw_Window | ( | const char * | window | ) |

virtual Draw_Window::~Draw_Window | ( |  | ) | `[virtual]`

## Member Function Documentation

void Draw_Window::Clear | ( |  | ) |

static Standard_Boolean Draw_Window::DefineColor | ( | const | Standard_Integer,
|  | const char * |
| ) | `[static]`

void Draw_Window::Destroy | ( |  | ) |

void Draw_Window::DisplayWindow | ( |  | ) |

void Draw_Window::DrawSegments | ( | Segment * | ,
|  | int |
| ) |

void Draw_Window::DrawString | ( | int | ,
|  | int | ,
|  | char * |
| ) |

static void Draw_Window::Flush | ( |  | ) | `[static]`

void Draw_Window::GetPosition | ( | Standard_Integer & | PosX,
|  | Standard_Integer & | PosY
| ) |

char* Draw_Window::GetTitle | ( |  | ) |

Standard_Integer Draw_Window::HeightWin | ( |  | ) | const

void Draw_Window::Hide | ( |  | ) |

void Draw_Window::Init | ( | Window | mother,
|  | Standard_Integer | X = `0`,
|  | Standard_Integer | Y = `0`,
|  | Standard_Integer | DX = `50`,
|  | Standard_Integer | DY = `50`
| ) |

void Draw_Window::Init | ( | Standard_Integer | X = `0`,
|  | Standard_Integer | Y = `0`,
|  | Standard_Integer | DX = `50`,
|  | Standard_Integer | DY = `50`
| ) |

Standard_Boolean Draw_Window::Save | ( | const char * | filename,
|  | const Standard_Boolean | compress = `Standard_False`
| ) | const

void Draw_Window::SetColor | ( | int |  | ) |

void Draw_Window::SetDimension | ( | Standard_Integer | NewDx,
|  | Standard_Integer | NewDy
| ) |

void Draw_Window::SetMode | ( | int |  | ) |

void Draw_Window::SetPosition | ( | Standard_Integer | NewXpos,
|  | Standard_Integer | NewYpos
| ) |

void Draw_Window::SetTitle | ( | const char * | title | ) |

void Draw_Window::StopWinManager | ( |  | ) |

void Draw_Window::Wait | ( | Standard_Boolean | wait = `Standard_True` | ) |

virtual void Draw_Window::WButtonPress | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y,
|  | const Standard_Integer & | button
| ) | `[virtual]`

virtual void Draw_Window::WButtonRelease | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y,
|  | const Standard_Integer & | button
| ) | `[virtual]`

virtual void Draw_Window::WConfigureNotify | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y,
|  | const Standard_Integer | dx,
|  | const Standard_Integer | dy
| ) | `[virtual]`

virtual void Draw_Window::WExpose | ( |  | ) | `[virtual]`

Standard_Integer Draw_Window::WidthWin | ( |  | ) | const

virtual void Draw_Window::WMotionNotify | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y
| ) | `[virtual]`

virtual void Draw_Window::WUnmapNotify | ( |  | ) | `[virtual]`

## Field Documentation

Base_Window& Draw_Window::base

Draw_Window* Draw_Window::firstWindow `[static]`

Window Draw_Window::myMother

Draw_Window* Draw_Window::next

Draw_Window* Draw_Window::previous

Window Draw_Window::win

Standard_Boolean Draw_Window::withWindowManager

The documentation for this class was generated from the following file:

- Draw_Window.hxx